## org.eclipse.datatools.modelbase.sql.constraints
Interface ReferenceConstraint

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, TableConstraint

All Known Subinterfaces:
  ForeignKey, PrimaryKey, SybaseASABaseForeignKey, SybaseASABasePrimaryKey, SybaseASABaseUniqueConstraint, SybaseASAForeignKey, SybaseASEPrimaryKey, SybaseASEUniqueConstraint, UniqueConstraint

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.constraints.impl.ForeignKeyImpl, JDBCForeignKey, JDBCPrimaryKey, JDBCUniqueConstraint, MySqlCatalogForeignKey, MySqlCatalogPrimaryKey, org.eclipse.datatools.modelbase.sql.constraints.impl.PrimaryKeyImpl, org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl, SybaseASABaseForeignKeyImpl, SybaseASABasePrimaryKeyImpl, SybaseASABaseUniqueConstraintImpl, SybaseASACatalogBaseForeignKey, SybaseASACatalogBasePrimaryKey, SybaseASACatalogBaseUniqueConstraint, SybaseASACatalogForeignKey, SybaseASAForeignKeyImpl, SybaseASECatalogForeignKey, SybaseASECatalogPrimaryKey, SybaseASECatalogUniqueConstraint, SybaseASEPrimaryKeyImpl, SybaseASEUniqueConstraintImpl, org.eclipse.datatools.modelbase.sql.constraints.impl.UniqueConstraintImpl

    public interface ReferenceConstraint

extends TableConstraint

A representation of the model object 'Reference Constraint'. Reference: 5WD-02-Foundation-2002-12 4.17.2 Table constraints

The following features are supported:

- `Members`

See Also:
  `SQLConstraintsPackage.getReferenceConstraint()`

Method Summary
`org.eclipse.emf.common.util.EList` `getMembers()` Returns the value of the 'Members' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMembers

    org.eclipse.emf.common.util.EList getMembers()

  Returns the value of the 'Members' reference list. The list contents are of type `Column`.

  If the meaning of the 'Members' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Members' reference list.
  See Also:
    `SQLConstraintsPackage.getReferenceConstraint_Members()`